diff --git a/books/bookvol12.pamphlet b/books/bookvol12.pamphlet
index 123cb31..d7ebbb0 100644
--- a/books/bookvol12.pamphlet
+++ b/books/bookvol12.pamphlet
@@ -542,6 +542,31 @@ it works
  <hr/>
 </html>
 @
+\chapter{Other work}
+\section{Understanding the Dynamics of Complex Lisp Programs \cite{9}}
+{\bf Abstract}: Recent advances in web technologies and the
+availability of robust Lisp libraries supporting them have made it
+possible to think of new ways of understanding and debugging large
+applications. In this paper, we will discuss two basic ideas for
+assessing and verifying the behavior of Lisp programs. First, we
+propose to use a web browser for graphically displaying debug output
+in a similar but more versatile way as the Lisp listener is normally
+used to print output traces. And second, we propose a method for
+creating HTML visualisations of complex data and control structures
+that don't trade in level of detail for readability. We will introduce
+GTFL (a Graphical Terminal For Lisp), which we have implemented based
+on these two ideas, and discuss its applications.
+
+This paper is of interest, not for its lisp tracing output, but for
+its ability to pipeline output to a browser and the technology that
+underlies the whole of it.
+
+GTFL uses Hunchentoot \cite{10} as a common lisp web server. It uses
+CL-WHO \cite{11} as the Lisp/HTML markup language, HT-AJAX \cite{12}
+as an AJAX framework. The combination of these tools with GTFL
+\cite{13} allows nicely formatted output that the browser can
+dynamically layout, expand, and contract.
+
 \eject
 \begin{thebibliography}{99}
 \bibitem{1} Jenks, R.J. and Sutor, R.S. 
@@ -565,6 +590,18 @@ Literate Programming''\\
 ACM Press Books, Addison-Wesley Publishing, 1996
 \bibitem{8} Daly, Timothy, "The Axiom Literate Documentation"\\
 {\bf http://axiom.axiom-developer.org/axiom-website/documentation.html}
+\bibitem{9} Loetzsch, Martin; Bleys, Joris; Wellens, Pieter
+``Understanding the Dynamics of Complex Lisp Programs''
+\verb|www.martin-loetzsch.de/papers/loetzsch09understanding.pdf|
+\bibitem{10} Weitz, E. ``HUNCHENTOOT - The Common Lisp web server
+formerly known as TBNL''
+\verb|www.weitz.de/hunchentoot/|
+\bibitem{11} Weitz, E. ``CL-WHO -Yet another Lisp markup language''
+\verb|www.weitz.de/cl-who/|
+\bibitem{12} Marshak, U. ``HT-AJAX - AJAX framework for Hunchentoot''
+\verb|common-lisp.net/project/ht-ajax/ht-ajax.html|
+\bibitem{13} Loetzsch, M. ``GTFL - A graphical terminal for Lisp''
+\verb|martin-loetzsch.de/gtfl/|
 \end{thebibliography}
 \printindex
 \end{document}
diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index 0b3bed9..5a55593 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -1093,6 +1093,9 @@ alg\'{e}brique. {\sl Journal de l'Ecole Polytechnique}, 14:124-148, 1833
 Joseph Liouville. Second m\'{e}moire sur la
 d\'{e}termination des int\'{e}grales dont la valeur est
 alg\'{e}brique. {\sl Journal de l'Ecole Polytechnique}, 14:149-193, 1833
+\bibitem[Loe09]{Loe09} 
+Loetzsch, M. ``GTFL - A graphical terminal for Lisp''
+\verb|martin-loetzsch.de/gtfl/|
 \bibitem[Los60]{Los60}
 L\"osch, Friedrich ``Tables of Higher Functions''
 McGraw-Hill Book Company 1960
@@ -1105,6 +1108,9 @@ Academic Press (1969) Mathematics in Science and Engineering Volume 53-I
 \bibitem[Luk269]{Luk269}
 Luke, Yudell L. ``The Special Functions and their Approximations'' Volume II
 Academic Press (1969) Mathematics in Science and Engineering Volume 53-II
+\bibitem[Mar07]{Mar07}
+Marshak, U. ``HT-AJAX - AJAX framework for Hunchentoot''
+\verb|common-lisp.net/project/ht-ajax/ht-ajax.html|
 \bibitem[Mie97]{Mie97}
 Mielenz, Klaus D. ``Computation of Fresnel Integrals'' 
 J. Res. Natl. Inst. Stand. Technol. (NIST) V102 No3 May-June 1997 pp363-365
@@ -1205,6 +1211,13 @@ vari\'{e}t\'{e}s Abeliennes} Hermann, Paris, 1971
 Weisstein, Eric W. ``Hypergeometric Function''
 MathWorld - A Wolfram Web Resource
 \verb|mathworld.wolfram.com/HypergeometricFunction.html|
+\bibitem[Wei03]{Wei03}
+Weitz, E. ``CL-WHO -Yet another Lisp markup language''
+\verb|www.weitz.de/cl-who/|
+\bibitem[Wei06]{Wei06}
+Weitz, E. ``HUNCHENTOOT - The Common Lisp web server
+formerly known as TBNL''
+\verb|www.weitz.de/hunchentoot/|
 \bibitem[Wo09]{Wo09}
 Wolfram Research, \verb|mathworld.wolfram.com/Quaternion.html|
 \bibitem[Yu76]{Yu76}
diff --git a/changelog b/changelog
index 91e6e99..f434b3b 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20101206 tpd src/axiom-website/patches.html 20101206.02.tpd.patch
+20101206 tpd books/bookvolbib [Loe09], [Mar07], [Wei03], [Wei06]
+20101206 tpd books/bookvol12 add discussion of GTFL
 20101206 tpd src/axiom-website/patches.html 20101206.01.tpd.patch
 20101206 tpd src/interp/postprop.lisp treeshake comiler
 20101206 tpd src/interp/compiler.lisp treeshake compiler
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 96d1ffb..081707b 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3297,5 +3297,7 @@ src/axiom-website/download.html add ubuntu<br/>
 books/bookvol9 treeshake compiler<br/>
 <a href="patches/20101206.01.tpd.patch">20101206.01.tpd.patch</a>
 books/bookvol9 treeshake compiler<br/>
+<a href="patches/20101206.02.tpd.patch">20101206.02.tpd.patch</a>
+books/bookvol12 add discussion of GTFL<br/>
  </body>
 </html>
